## Overview

Hi there, thanks for your interest. Currently I am the sole maintainer for this project but I am more than happy if this changes 😊

I welcome any contribution, not only code. You can help 
- **analyze issues**: take a look at the [open issues](https://github.com/MarcoEidinger/SwiftPlantUML/issues?state=open). Even if you can't write code, commenting on them, showing that you care about a given issue matters. It helps me triage them.
- **report an issue**: do not hesitate to file a  [new issue](https://github.com/MarcoEidinger/SwiftPlantUML/issues/new). Do not hesitate to provide as many details as possible.
- **provide feedback**: is the README insufficient, or is the API documentation unclear? Let me know!

## Submitting code and pull request handling

Submit all code contributions via Pull Requests (PRs). PRs _shall_ target the [`dev`](https://github.com/MarcoEidinger/SwiftPlantUML/tree/dev) branch.

Code changes shall not degrade the [code coverage](https://codecov.io/gh/MarcoEidinger/SwiftPlantUML) or [CodeBeat rating](https://codebeat.co/projects/github-com-marcoeidinger-swiftplantuml-main).

Quick checklist summary before submitting a PR:

* 🔎 Make sure tests are added or updated to accommodate your changes.
* 👌 Verify that tests pass, code is free of SwiftLint violations, and code is formatted accordingly to project rules ([.swiftformat](https://github.com/MarcoEidinger/SwiftPlantUML/blob/main/.swiftformat)).
* 📖 Check that your commit message follows [Conventional Commit standards](https://www.conventionalcommits.org/en/v1.0.0/) and has a meaningful description of what it is about
* 👍 Push it!

I reserve the right to close or to not process pull requests.
